Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Class ShippingManagerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.ebusiness.shipping.ShippingManagerImpl

public class ShippingManagerImpl
extends SessionImpl

Manages the creation and removal of PackingLists. It also provides an interface to Shipping Methods.

See Also:
  `ShippingManager`, `ShippingManagerHome`, Serialized Form

Field Summary
`protected static java.lang.String` | `DEFAULT_PACKING_LIST_HOME`
`protected static java.lang.String` | `DEFAULT_SHIPPING_METHOD_HOME`
`protected static java.lang.String` | `PACKING_LIST_HOME`
`PackingListHome` | `packingListHome`
`protected static java.lang.String` | `SHIPPING_METHOD_HOME`
`ShippingMethodHome` | `shippingMethodHome`

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`ShippingManagerImpl()`

Method Summary
`PackingList` | `createPackingList(Order order)` Create Packing List will create a packing list by combining an and customer key.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`com.sun.java.util.collections.Collection` | `getPendingPackingLists()` Return a vector that contains the orderKey of all outstanding PackingLists.
`java.util.Enumeration` | `getShippingMethods()`
`void` | `setSessionContext(SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shippingMethodHome

    public transient ShippingMethodHome shippingMethodHome

### packingListHome

    public transient PackingListHome packingListHome

### PACKING_LIST_HOME

    protected static java.lang.String PACKING_LIST_HOME

### DEFAULT_PACKING_LIST_HOME

    protected static java.lang.String DEFAULT_PACKING_LIST_HOME

### SHIPPING_METHOD_HOME

    protected static java.lang.String SHIPPING_METHOD_HOME

### DEFAULT_SHIPPING_METHOD_HOME

    protected static java.lang.String DEFAULT_SHIPPING_METHOD_HOME

Constructor Detail

### ShippingManagerImpl

    public ShippingManagerImpl()
                        throws CreateException

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Overrides:
    setSessionContext in class SessionImpl

### getShippingMethods

    public java.util.Enumeration getShippingMethods()
                                             throws java.rmi.RemoteException,
                                                    FinderException

### createPackingList

    public PackingList createPackingList(Order order)
                                  throws java.rmi.RemoteException

  Create Packing List will create a packing list by combining an and customer key. The user of this class is required to set other values separately.

### getPendingPackingLists

    public com.sun.java.util.collections.Collection getPendingPackingLists()
                                                                    throws java.rmi.RemoteException

  Return a vector that contains the orderKey of all outstanding PackingLists.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.